<bugID>942051<Summary>Toolbar button with long text cannot be added due to wrong width measurement</Summary><Description>Adblock Plus calls toolbar.insertItem() to add its item to the add-on bar. Now that Australis landed this produces the error message: "abp-toolbarbutton is too big (107px wide), moving to palette" (the message is coming from function evictNode() in browser/components/customizableui/content/toolbar.xml). The catch: this is an absolutely standard toolbar button with a 16x16 icon.

As it turns out, the toolbar button text (which is normally invisible) is being considered for the width measurement. That's because the size is measured after the icon is added to the fake add-on bar - and unlike the main toolbar it doesn't have iconsize or mode attributes. This means that toolbar buttons show up with large icon and text, this makes them significantly larger than when they appear in the navigation toolbar.

Adding iconsize="small" and mode="icons" to &lt;toolbar id="addon-bar"&gt; fixes the issue, the button is no longer rejected. I've been testing in Firefox 28.0a1 (2013-11-21 nightly) on Linux.</Description></bugID>